> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withgauge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fork run

> Fork run.



## OpenAPI

````yaml /agents/openapi.json post /api/v1/runs/{runId}/fork
openapi: 3.1.0
info:
  title: Gauge API
  version: 0.7.0
  description: >-
    Programmatic access to Gauge organizations, measurements, run
    configurations, coding-agent runs, experiments, and analytics.
  contact:
    name: Gauge support
    email: support@withgauge.com
servers:
  - url: https://agents.withgauge.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Actions
  - name: Agent Experience
  - name: Agent Preference
  - name: Analytics
  - name: Authentication
  - name: Batches
  - name: Billing
  - name: Brands
  - name: Cycles
  - name: Dashboards
  - name: Experiments
  - name: Implementation Doc
  - name: MCP servers
  - name: Organizations
  - name: Personas
  - name: Provider keys
  - name: Repositories
  - name: Run presets
  - name: Runs
  - name: Skills
  - name: Tags
paths:
  /api/v1/runs/{runId}/fork:
    post:
      tags:
        - Runs
      summary: Fork run
      description: Fork run.
      operationId: postRunsRunIdFork
      parameters:
        - name: runId
          in: path
          required: true
          description: RunId.
          schema:
            type: string
        - name: status
          in: query
          required: false
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Request conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: not_found
            message:
              type: string
              example: Run not found
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gauge_<token>
      description: >-
        A personal access token created with `gauge auth tokens create` or the
        Gauge web app.

````